<template>

        <div class="cg-signup-over-view-wrap d-flex justify-content-center align-items-center pad-top-sml">
          <div class="signup-wrap login-wrap col-md-3 text-center add-top-mdm add-btm-mdm">
              <form   @submit.prevent="register" id="form">
                  <input type="hidden" name="_token" :value="csrf">
                  <p v-if="this.success_message" class="text-success">{{ this.success_message }}</p>
                  <p v-if="this.error_message" class="text-danger">{{ this.error_message }}</p>
              <div class="login-text-block ">
                <h3 class="font1 cg-section-sml-heading w700">Sign-up to Creativegoods</h3>
                <!-- <img src="images/logo.png" class="img-fluid" alt="creativegoods"> -->
              </div>

                  <div class="row d-flex add-btm-xsml d-flex justify-content-center">
                  <div class="col-md-8 cg-top-input">
                      <label for="user_name">User Name</label>
                      <input  type="text" id="user_name" name="user_name"/>
                      <p v-if="this.validation_errors.user_name" class="text-danger"> {{this.validation_errors.user_name[0] }}</p>
                  </div>

              </div>

                  <div class="row d-flex add-btm-xsml d-flex justify-content-center">
                      <div class="col-md-8 cg-top-input">
                          <label for="name">Your Name</label>
                          <input  type="text" id="name" name="name"/>
                          <p v-if="this.validation_errors.name" class="text-danger"> {{this.validation_errors.name[0] }}</p>
                      </div>

                  </div>


                  <div class="row d-flex add-btm-xsml d-flex justify-content-center">
                      <div class="col-md-8 cg-top-input">
                          <label for="email">Email ID</label>
                          <input  type="text" id="email" name="email"/>
                          <p v-if="this.validation_errors.email" class="text-danger"> {{this.validation_errors.email[0] }}</p>
                      </div>

                  </div>

                  <div class="row d-flex add-btm-xsml d-flex justify-content-center">
                      <div class="col-md-8 cg-top-input">
                          <label for="password">Password</label>
                          <input type="password" id="password" name="password" />
                          <p v-if="this.validation_errors.password" class="text-danger"> {{this.validation_errors.password[0] }}</p>
                      </div>

                  </div>

                  <div class="row d-flex add-btm-xsml d-flex justify-content-center">
                      <div class="col-md-8 cg-top-input">
                          <label for="password_confirmation">Confirm Password</label>
                          <input type="password" id="password_confirmation" name="password_confirmation" />
                          <p v-if="this.validation_errors.password_confirmation" class="text-danger"> {{this.validation_errors.password_confirmation[0] }}</p>
                      </div>

                  </div>

            <div class="row">
                <div class="col-md-6 signup-block">
                    <div class="d-flex text-center">
                      <input class="form-check-input" type="checkbox" id="inlineCheckbox1" value="privacy">
                      <h3 class="add-left-xsml font1 f12">I Agree to privacy policy</h3>
                    </div>
                </div>
            </div>

            <div class="row d-flex justify-content-center">
              <input type="submit" value="Signup Securely" name="submit" id="submit" />
            </div>
              </form>
            </div>
        </div>
</template>
<script>
    export default {

        data() {
            return {
                validation_errors:{},
                success_message:'',
                error_message:'',
                csrf: document.querySelector('meta[name="csrf-token"]').getAttribute('content'),
            }
        },
        methods: {
            loadJs(url, callback) {
                jQuery.ajax({
                    url: url,
                    dataType: 'script',
                    success: callback,
                    async: true
                });
            },
            register(){
                let currentObj = this;
                currentObj.success_message='';
                currentObj.error_message='';

                var form = $('#form')[0];
                var data = new FormData(form);
                //this.errors = {};
                $.ajax({
                    type: "POST",
                    enctype: 'multipart/form-data',
                    url: "/user/register",
                    data: data,
                    processData: false,
                    contentType: false,
                    cache: false,
                    timeout: 600000,
                    success: function (data) {
                       //
                        console.log(data)
                        if(data.status == 'validation_error')
                        {
                            currentObj.validation_errors = data.errors

                        }
                        else if(data.status == 'success')
                        {
                            currentObj.success_message = data.message
                            if(data.is_author)
                            {
                                location.href = "/user/"+data.unique_id+"/dashboard/my_products";
                            }
                            else
                            {
                                location.href = "/user/"+data.unique_id+"/dashboard/downloads";
                            }
                        }
                        else
                        {
                            currentObj.error_message = data.message

                        }
                    },
                    error: function(XMLHttpRequest, textStatus, errorThrown) {

                       // this.errors = XMLHttpRequest['responseJSON'].errors || {};
                       // location.href = "/account/register";
                    }
                })
            },

        },
        mounted() {
            this.loadJs('/javascripts/custom/login.js', function() {
            //     //Stuff to do after someScript has loaded
            });
        }
    }
</script>
